An audio output primitive that uses frequency-adjusted sampled sounds

### Hierarchy

- SuiOscillator
  - SuiSampler

## Index

### Constructors

- constructor

### Methods

- createAudioGraph

## Constructors

### constructor

- new SuiSampler(params: SuiOscillatorParams): SuiSampler

- Overrides SuiOscillator.constructor

  - Defined in src/render/audio/oscillator.ts:414

  #### Parameters

  - ##### params: SuiOscillatorParams

  #### Returns SuiSampler

## Methods

### createAudioGraph

- createAudioGraph(): Promise<any>

- Inherited from SuiOscillator.createAudioGraph

  - Defined in src/render/audio/oscillator.ts:328

  Connect the audio sound source to the output, combining other nodes in the mix such as convolver (reverb), delay, and gain. Also set up the envelope

  #### Returns Promise<any>

  - a promise that tis resolved when `duration` time has expired

Generated using TypeDoc